package com.cnfaddtest;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.model.IWorkbenchAdapter;

public class Tree implements IWorkbenchAdapter {

	private String name;
	private List<Tree> children = new ArrayList<Tree>();
	private Tree parent;
	private int level;

	public Tree(String name) {
		this.name = name;
	}

	@Override
	public Object[] getChildren(Object o) {
		return children.toArray();
	}

	@Override
	public ImageDescriptor getImageDescriptor(Object object) {		
		return null;
	}

	@Override
	public String getLabel(Object o) {
		return name;
	}

	@Override
	public Object getParent(Object o) {
		return parent;
	}

	public void addChild(Tree node) {
		children.add(node);
		node.parent = this;
		node.level = level + 1;
	}

}