package com.cnfaddtest;


import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.jobs.ISchedulingRule;
import org.eclipse.ui.model.IWorkbenchAdapter;
import org.eclipse.ui.progress.IDeferredWorkbenchAdapter;
import org.eclipse.ui.progress.IElementCollector;

public class TreeNode extends Tree implements IWorkbenchAdapter, IDeferredWorkbenchAdapter {

	public TreeNode(String name) {
		super(name);
	}

	@Override
	public void fetchDeferredChildren(Object object,
			IElementCollector collector, IProgressMonitor monitor) {
		TreeNode node = (TreeNode) object;
		for (int i = 0; i < 10; ++i) {
			TreeNode child = new TreeNode("Node " + i);
			node.addChild(child);
			collector.add(child, monitor);
		}
		
	}

	@Override
	public boolean isContainer() {		
		return true;
	}

	@Override
	public ISchedulingRule getRule(Object object) {
		return null;
	}
}
